{
  "compilerOptions": {
    "target": "ESNext",
    "module": "ESNext",
    "moduleResolution": "bundler",
    "isolatedModules": true,
    "noEmit": true,
    "strict": true,
    "noFallthroughCasesInSwitch": true,
    "allowImportingTsExtensions": true,
    "useDefineForClassFields": false,
    "experimentalDecorators": true,
    "skipLibCheck": true,
    "noUnusedLocals": false,
    "lib": ["DOM", "DOM.Iterable", "ESNext"],
    "types": ["@types/node", "bun-types"],
    "baseUrl": ".",
    "paths": {
      "@lib": ["lib"],
      "@lib/*": ["lib/*"],
      "@encryptid/*": ["src/encryptid/*"],
      "@shared": ["shared"],
      "@shared/*": ["shared/*"]
    }
  },
  "include": ["**/*.ts", "vite.config.ts", "types/**/*.d.ts"],
  "exclude": ["node_modules/**/*", "dist/**/*", "src/encryptid/**/*", "website/sw.ts", "src/lib/demo-sync.ts"]
}
